package com.kmall.common.utils.pingan.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 pingan_response
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
public class PinganResponseDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;
    /**
     * 商户订单编号
     */
    private String outNo;
    /**
     * 请求方法
     */
    private String reqInterface;
    /**
     * 返回错误码，为0表示没有错误
     */
    private String errcode;
    /**
     * 返回错误提示，会根据lang参数返回不同的语言
     */
    private String msg;
    /**
     * open_key进行aes加密后的数据
     */
    private String data;
    /**
     * 签名
     */
    private String sign;
    /**
     * 
     */
    private String datajson;
    /**
     * 返回时间戳
     */
    private Date timestamp;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：商户订单编号
     */
    public void setOutNo(String outNo) {
        this.outNo = outNo;
    }

    /**
     * 获取：商户订单编号
     */
    public String getOutNo() {
        return outNo;
    }
    /**
     * 设置：请求方法
     */
    public void setReqInterface(String reqInterface) {
        this.reqInterface = reqInterface;
    }

    /**
     * 获取：请求方法
     */
    public String getReqInterface() {
        return reqInterface;
    }
    /**
     * 设置：返回错误码，为0表示没有错误
     */
    public void setErrcode(String errcode) {
        this.errcode = errcode;
    }

    /**
     * 获取：返回错误码，为0表示没有错误
     */
    public String getErrcode() {
        return errcode;
    }
    /**
     * 设置：返回错误提示，会根据lang参数返回不同的语言
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 获取：返回错误提示，会根据lang参数返回不同的语言
     */
    public String getMsg() {
        return msg;
    }
    /**
     * 设置：open_key进行aes加密后的数据
     */
    public void setData(String data) {
        this.data = data;
    }

    /**
     * 获取：open_key进行aes加密后的数据
     */
    public String getData() {
        return data;
    }
    /**
     * 设置：签名
     */
    public void setSign(String sign) {
        this.sign = sign;
    }

    /**
     * 获取：签名
     */
    public String getSign() {
        return sign;
    }
    /**
     * 设置：
     */
    public void setDatajson(String datajson) {
        this.datajson = datajson;
    }

    /**
     * 获取：
     */
    public String getDatajson() {
        return datajson;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
